use ants::{
	event::{Event, Events, Key, Mod},
	raw_mode,
};

fn main() {
	raw_mode::enter().unwrap();
	print!("Press Ctrl+q to exit.\r\n");

	for event in Events::new() {
		print!("{:?}\r\n", event);
		if let Event::Key(Key::Char('q'), Mod::Ctrl) = event {
			break;
		}
	}
	raw_mode::exit().unwrap();
}
